#!/usr/bin/ruby
require_relative '../lib/scoutui'

require 'logger'

##
# --file <Yaml>
# --host <String>
# --lang <String>
# --title <Applitools Title>
# --browser <chrome|firefox|ie>

results=nil

begin
  nav = Scoutui::Navigator.new(Scoutui::Utils::TestUtils.instance.parseCommandLine())
  runner = Scoutui::Base::TestScout.new(nav)
  runner.start()
  results=runner.report()
rescue => ex
  # puts __FILE__ + (__LINE__).to_s + " #{ex.class.to_s} Error during processing: #{ex.message}"
  puts  ex.backtrace if !ex.message.match(/^SCOUTUI/)
end

rc=0
if results.nil?
  rc=2
elsif !results.nil? && !results[:rc]
  rc=1
end

exit(rc)
