

module Scoutui::Base


  class ResultAssertion

    attr_accessor :result
    attr_accessor :report

    def initialize(rc=nil)
      @result=rc
      @report=""
    end

    def setResult(b)
      @result=b
    end

    def setReport(_s, _result=nil)
      @report=_s
      if !_result.nil?
        setResult(_result)
      end
    end

    def report
      @report
    end

    def executed?
      !@result.nil?
    end

    def passed?
      @result
    end

    def failed?
      executed? && !passed?
    end

    def toString()
      if !executed?
        return "not executed"
      end

      @result.to_s
    end


  end

end
