require_relative './commands'

module Scoutui::Commands

  class LoadDB < Command


    def execute(drv, e=nil)
      @drv=drv if !drv.nil?

      rc=false
      obj=nil
      _locator=nil

      _req = Scoutui::Utils::TestUtils.instance.getReq()

      begin

        Scoutui::Logger::LogMgr.instance.debug __FILE__ + (__LINE__).to_s + " LoadDB()"

        if e['page'].has_key?('files')

          e['page']['files'].each do |_yaml|
          #  Scoutui::Base::TestData.instance.addDB(e['page']['name'], _yaml)
            Scoutui::Base::TestData.instance.addDB('SCOUTUI', _yaml)
          end

        end

        rc=true

      rescue => ex
        Scoutui::Logger::LogMgr.instance.warn "Error during processing: #{ex}"
        Scoutui::Logger::LogMgr.instance.warn "Backtrace:\n\t#{ex.backtrace.join("\n\t")}"
      end

      if rc
        Scoutui::Logger::LogMgr.instance.asserts.info "Verify requirements command passed - #{rc}"
        Testmgr::TestReport.instance.getReq(_req).testcase('click').add(rc, "Verify requirements command passed")
      end

      setResult(rc)
    end

  end



end
