

require 'singleton'


module Scoutui::Base

  class TestContext
    include Singleton

    attr_accessor :settings

    def initialize
      @settings={}
    end

    def add(_id, _v)
      Scoutui::Logger::LogMgr.instance.debug __FILE__ + (__LINE__).to_s + " add(#{_id}, #{_v})"
      @settings[_id]=_v
      Scoutui::Logger::LogMgr.instance.debug __FILE__ + (__LINE__).to_s + " => #{@settings[_id]}"
    end


    def set(_id, _v)
      if @settings.has_key?(_id)
        @settings[_id]=_v
      else
        add(_id, _v)
      end

      get(_id)
    end

    def get(_id)
      @settings[_id]
    end

  end


end
